<?php
class SpreedsheetModel {
    private $ds = "";

    function __construct()
    {
        require_once __DIR__ . "/DataSource.php";
        $this->ds = new DataSource();
    }

    function insertSpreadSheetId($spreadsheetId)
    {
        $query = "INSERT INTO tbl_spreadsheet (spreadsheet_id) VALUES (?)";
        $paramType = "s";
        $paramArray = array($spreadsheetId);
        $this->ds->insert($query, $paramType, $paramArray);
    }

    function getSpreadSheetId()
    {
        $query = "SELECT spreadsheet_id FROM tbl_spreadsheet ORDER BY id DESC LIMIT 1";
        $row = $this->ds->select($query);
        $spreadsheetId = $row[0]['spreadsheet_id'];
        return $spreadsheetId;
    }
}
