<?php
require_once __DIR__ . '/vendor/autoload.php';
require_once __DIR__ . '/GoogleSpreadSheetService.php';

// Google web client credentials JSON path
$credentialsPath = './credentials.json';
$googleSpreadSheetService = new GoogleSpreadSheetService();

// Initializing Google client to access GoogleSpreadSheet service with credentials JSON
$client = $googleSpreadSheetService->intializeGoogleClient($credentialsPath);
$googleSpreadSheetService->getOauthTokenFromGoogle($client);

// Get OAuth 2.0 token
$accessToken = $googleSpreadSheetService->getOauthToken();

?>